/* #[info:		*/
/************************************************************************
*									*
*		    |\							*
*		     \\		 _		 '  '			*
*		    / \\	< \,  _-_,  _-_ \\ \\			*
*		   || ||	/-|| ||_.  ||	|| ||			*
*		   || ||       (( ||  ~ || ||	|| ||			*
*		    \\/		\/\\ ,-_-  \\,/ \\ \\			*
*			 _____						*
*									*
*									*
*		  Copyright (c) 1993  Jan van der Steen			*
*	       Centre for Mathematics and Computer Science		*
*		       Amsterdam, the Netherlands			*
*									*
*-----------------------------------------------------------------------*
*   You are not allowed to use this software in commercial software.	*
*   You are allowed to use this software in free software under the	*
*   condition that you maintain this integral message in the source.	*
*-----------------------------------------------------------------------*
* File	  : d_ascii.h							*
* Purpose : Dump a Go data structure to ASCII				*
* Version : 1.5								*
* Modified: 8/18/93 15:18:48						*
* Author  : Jan van der Steen (jansteen@cwi.nl)				*
************************************************************************/
/* #]info:		*/ 

#ifndef D_ASCII_H
#define D_ASCII_H

/* #[include:		*/

#include "gogame.h"

/* #]include:		*/ 
/* #[prototype:		*/

#ifdef __STDC__
#	define	PROTO(s) s
#else
#	define	PROTO(s) ()
#endif

int	ASCII_init	PROTO((void));
void	ASCII_exit	PROTO((void));
int	ASCII_alloc	PROTO((GOGAME *g));
void	ASCII_free	PROTO((GOGAME *g));
int	ASCII_emit	PROTO((GOGAME *g, GOMOVE *m1, GOMOVE *m2,
					  GOMOVE *t1, GOMOVE *t2));
void	ASCII_onmove	PROTO((GOGAME *g, int n1,int c1, int n2,int c2));
void	ASCII_onstone	PROTO((GOGAME *g, int n, int c, PLACE p));
void	ASCII_pass	PROTO((GOGAME *g, int n ,int c));
void	ASCII_time	PROTO((GOGAME *g, char *btime, char *wtime));

#undef PROTO

/* #]prototype:		*/ 

#endif
