/* #[info:		*/
/************************************************************************
*									*
*			 |\	     |\	  ,,				*
*			  \\	      \\  ||				*
*			 / \\	     / \\ ||/|,				*
*			|| ||	    || || || ||				*
*			|| ||	    || || || |'				*
*			 \\/	     \\/  \\/				*
*			      _____					*
*									*
*									*
*		  Copyright (c) 1993  Jan van der Steen			*
*	       Centre for Mathematics and Computer Science		*
*		       Amsterdam, the Netherlands			*
*									*
*-----------------------------------------------------------------------*
*   You are not allowed to use this software in commercial software.	*
*   You are allowed to use this software in free software under the	*
*   condition that you maintain this integral message in the source.	*
*-----------------------------------------------------------------------*
* File	  : d_db.h							*
* Purpose : Get ascii information from a Go game			*
* Version : 1.6								*
* Modified: 03 May 1995 10:33:13					*
* Author  : Jan van der Steen (jansteen@cwi.nl)				*
************************************************************************/
/* #]info:		*/ 

#ifndef D_DB_H
#define D_DB_H

/* #[define:		*/

#define AB_KEY    ((longkey) ? "AddBlack"	: "AB")
#define AE_KEY    ((longkey) ? "AddEmpty"	: "AE")
#define AW_KEY    ((longkey) ? "AddWhite"	: "AW")
#define B__KEY    ((longkey) ? "Black"		: "B" )
#define BL_KEY    ((longkey) ? "BlacktimeLeft"	: "BL")
#define BR_KEY    ((longkey) ? "BlackRanking"	: "BR")
#define C__KEY    ((longkey) ? "Comment"	: "C" )
#define DT_KEY    ((longkey) ? "DaTe"		: "DT")
#define EV_KEY    ((longkey) ? "EVent"		: "EV")
#define FF_KEY    ((longkey) ? "FileFormat"	: "FF")
#define GM_KEY    ((longkey) ? "GaMe"		: "GM")
#define GN_KEY    ((longkey) ? "GameName"	: "GN")
#define HA_KEY    ((longkey) ? "HAndicap"	: "HA")
#define ID_KEY    ((longkey) ? "ID"		: "ID")
#define KB_KEY    ((longkey) ? "KiBitz"		: "KB")
#define KM_KEY    ((longkey) ? "KoMi"		: "KM")
#define L__KEY    ((longkey) ? "Letter"		: "L" )
#define M__KEY    ((longkey) ? "Mark"		: "M" )
#define N__KEY    ((longkey) ? "Name"		: "N" )
#define PB_KEY    ((longkey) ? "PlayerBlack"	: "PB")
#define PC_KEY    ((longkey) ? "PlaCe"		: "PC")
#define PW_KEY    ((longkey) ? "PlayerWhite"	: "PW")
#define RO_KEY    ((longkey) ? "ROund"		: "RO")
#define RE_KEY    ((longkey) ? "REsult"		: "RE")
#define RG_KEY    ((longkey) ? "ReGion"		: "RG")
#define SO_KEY    ((longkey) ? "SOurce"		: "SO")
#define SZ_KEY    ((longkey) ? "SiZe"		: "SZ")
#define TM_KEY    ((longkey) ? "TiMe"		: "TM")
#define US_KEY    ((longkey) ? "USer"		: "US")
#define VW_KEY    ((longkey) ? "VieW"		: "VW")
#define W__KEY    ((longkey) ? "White"		: "W" )
#define WL_KEY    ((longkey) ? "WhitetimeLeft"	: "WL")
#define WR_KEY    ((longkey) ? "WhiteRanking"	: "WR")

/*
 * Extra keys (not officially supported in SGF format specification)
 * but containing interesting information for databases.
 */
#define FN_KEY    ((longkey) ? "FileName"	: "FN")
#define MS_KEY    ((longkey) ? "MoveS"		: "MS")
#define CP_KEY    ((longkey) ? "Captures"	: "CP")

/* #]define:		*/ 
/* #[prototype:		*/

#ifdef __STDC__
#	define	PROTO(s) s
#else
#	define	PROTO(s) ()
#endif

void	game2db		PROTO((GOGAME *g, char *filename));
void	text2sgf	PROTO((char *text));

#undef PROTO

/* #]prototype:		*/ 

#endif

