/* #[info:		*/
/************************************************************************
*                                                                       *
*                       |\                    /\                        *
*                        \\          _    '  ||                         *
*                       / \\        / \\ \\ =||=                        *
*                      || ||       || || ||  ||                         *
*                      || ||       || || ||  ||                         *
*                       \\/        \\_-| \\  \\,                        *
*                            _____  /  \                                *
*                                  '----`                               *
*                                                                       *
*                Copyright (c) 1993/94 Jan van der Steen                *
*              Centre for Mathematics and Computer Science              *
*                      Amsterdam, the Netherlands                       *
*                                                                       *
*-----------------------------------------------------------------------*
*   You are not allowed to use this software in commercial software.    *
*   You are allowed to use this software in free software under the     *
*   condition that you maintain this integral message in the source.    *
*-----------------------------------------------------------------------*
* File    : %M%                                                         *
* Purpose : Implement a GIF output device for diagrams			*
* Version : %I%                                                         *
* Modified: %G% %U%                                                     *
* Author  : Jan van der Steen (jansteen@cwi.nl)                         *
************************************************************************/
/* #]info:		*/ 

#ifndef D_GIF_H
#define D_GIF_H

/* #[include:		*/

#include "gogame.h"

/* #]include:		*/ 
/* #[define:		*/

/*
 * Defaults for the GIF mode
 */
#ifndef PBMFNT
#define PBMFNT	"${HOME}/lib/sgf2misc/ppm"
#endif
#ifndef PBMBIN
#define	PBMBIN	"/usr/local/netpbm"
#endif
#ifndef PBMSZ
#define	PBMSZ	15
#endif

/* #]define:		*/ 
/* #[prototype:		*/

#ifdef __STDC__
#	define	PROTO(s) s
#else
#	define	PROTO(s) ()
#endif

int	GIF_init	PROTO((void));
void	GIF_exit	PROTO((void));
int	GIF_alloc	PROTO((GOGAME *g));
void	GIF_free	PROTO((GOGAME *g));
int	GIF_emit	PROTO((GOGAME *g, GOMOVE *m1, GOMOVE *m2,
					  GOMOVE *t1, GOMOVE *t2));
void	GIF_onmove	PROTO((GOGAME *g, int n1,int c1, int n2,int c2));
void	GIF_onstone	PROTO((GOGAME *g, int n, int c, PLACE p));
void	GIF_pass	PROTO((GOGAME *g, int n ,int c));
void	GIF_time	PROTO((GOGAME *g, char *btime, char *wtime));

#undef PROTO

/* #]prototype:		*/ 

#endif
