/* #[info:		*/
/************************************************************************
*                                                                       *
*                   |\         ,,      ,           ,,                   *
*                    \\        ||     ||           ||                   *
*                   / \\       ||/\\ =||= \\/\\/\\ ||                   *
*                  || ||       || ||  ||  || || || ||                   *
*                  || ||       || ||  ||  || || || ||                   *
*                   \\/        \\ |/  \\, \\ \\ \\ \\                   *
*                        _____   _/                                     *
*                                                                       *
*                                                                       *
*                Copyright (c) 1993/94 Jan van der Steen                *
*              Centre for Mathematics and Computer Science              *
*                      Amsterdam, the Netherlands                       *
*                                                                       *
*-----------------------------------------------------------------------*
*   You are not allowed to use this software in commercial software.    *
*   You are allowed to use this software in free software under the     *
*   condition that you maintain this integral message in the source.    *
*-----------------------------------------------------------------------*
* File    : d_html.h							*
* Purpose : Write an HTML (and GIF) file from internal game structure	*
* Version : 0                                                           *
* Modified: 5/16/95                                                     *
* Author  : Thierry.EXCOFFIER@ligia.univ-lyon1.fr                       *
* Author  : Jan van der Steen (jansteen@cwi.nl)                         *
************************************************************************/
/* #]info:		*/ 

#ifndef D_HTML_H
#define D_HTML_H

/* #[include:		*/

#include "gogame.h"

/* #]include:		*/ 
/* #[prototype:		*/

#ifdef __STDC__
#	define	PROTO(s) s
#else
#	define	PROTO(s) ()
#endif
 
int	HTML_init	PROTO((void));
void	HTML_exit	PROTO((void));
int	HTML_alloc	PROTO((GOGAME *g));
void	HTML_free	PROTO((GOGAME *g));
int	HTML_emit	PROTO((GOGAME *g, GOMOVE *m1, GOMOVE *m2,
					  GOMOVE *t1, GOMOVE *t2));
void	HTML_onmove	PROTO((GOGAME *g, int n1,int c1, int n2,int c2));
void	HTML_onstone	PROTO((GOGAME *g, int n, int c, PLACE p));
void	HTML_pass	PROTO((GOGAME *g, int n, int c));
void	HTML_time	PROTO((GOGAME *g, char *btime, char *wtime));

#undef PROTO

/* #]prototype:		*/ 

#endif
