/* #[info:		*/
/************************************************************************
*									*
*		      |\		     ,, ,,			*
*		       \\		     || ||			*
*		      / \\	 \\/\\ \\ \\ || ||			*
*		     || ||	 || || || || || ||			*
*		     || ||	 || || || || || ||			*
*		      \\/	 \\ \\ \\/\\ \\ \\			*
*			   _____					*
*									*
*									*
*		  Copyright (c) 1993  Jan van der Steen			*
*	       Centre for Mathematics and Computer Science		*
*		       Amsterdam, the Netherlands			*
*									*
*-----------------------------------------------------------------------*
*   You are not allowed to use this software in commercial software.	*
*   You are allowed to use this software in free software under the	*
*   condition that you maintain this integral message in the source.	*
*-----------------------------------------------------------------------*
* File	  : d_null.h							*
* Purpose : Dump a Go data structure to /dev/null			*
* Version : 1.5								*
* Modified: 8/18/93 15:18:47						*
* Author  : Jan van der Steen (jansteen@cwi.nl)				*
************************************************************************/
/* #]info:		*/ 

#ifndef D_NULL_H
#define D_NULL_H

/* #[include:		*/

#include "gogame.h"

/* #]include:		*/ 
/* #[prototype:		*/

#ifdef __STDC__
#	define	PROTO(s) s
#else
#	define	PROTO(s) ()
#endif

int	null_init	PROTO((void));
void	null_exit	PROTO((void));
int	null_alloc	PROTO((GOGAME *g));
void	null_free	PROTO((GOGAME *g));
int	null_emit	PROTO((GOGAME *g, GOMOVE *m1, GOMOVE *m2,
					  GOMOVE *t1, GOMOVE *t2));
void	null_onmove	PROTO((GOGAME *g, int n1,int c1, int n2,int c2));
void	null_onstone	PROTO((GOGAME *g, int n, int c, PLACE p));
void	null_pass	PROTO((GOGAME *g, int n, int c));
void	null_time	PROTO((GOGAME *g, char *btime, char *wtime));

#undef PROTO

/* #]prototype:		*/ 

#endif
