/* #[info:		*/
/************************************************************************
*									*
*		 |\			  ,				*
*		  \\			 ||	   ,			*
*		 / \\	    -_-_   _-_, =||=  _-_  \\ /`		*
*		|| ||	    || \\ ||_.	 ||  || \\  \\			*
*		|| ||	    || ||  ~ ||	 ||  ||/    /\\			*
*		 \\/	    ||-'  ,-_-	 \\, \\,/  /  \;		*
*		      _____ |/						*
*			    '						*
*									*
*		  Copyright (c) 1993  Jan van der Steen			*
*	       Centre for Mathematics and Computer Science		*
*		       Amsterdam, the Netherlands			*
*									*
*-----------------------------------------------------------------------*
*   You are not allowed to use this software in commercial software.	*
*   You are allowed to use this software in free software under the	*
*   condition that you maintain this integral message in the source.	*
*-----------------------------------------------------------------------*
* File	  : d_pstex.h							*
* Purpose : Dump a Go data structure to PS (diagrams) and TeX (text)	*
* Version : 1.5								*
* Modified: 18 Aug 1993 15:18:45					*
* Author  : Jan van der Steen (jansteen@cwi.nl)				*
************************************************************************/
/* #]info:		*/ 

#ifndef D_PSTEX_H
#define D_PSTEX_H

/* #[include:		*/

#include "gogame.h"

/* #]include:		*/ 
/* #[prototype:		*/

#ifdef __STDC__
#	define	PROTO(s) s
#else
#	define	PROTO(s) ()
#endif

int	PSTeX_init	PROTO((void));
void	PSTeX_exit	PROTO((void));
int	PSTeX_alloc	PROTO((GOGAME *g));
void	PSTeX_free	PROTO((GOGAME *g));
int	PSTeX_emit	PROTO((GOGAME *g, GOMOVE *m1, GOMOVE *m2,
					  GOMOVE *t1, GOMOVE *t2));
void	PSTeX_onmove	PROTO((GOGAME *g, int n1,int c1, int n2,int c2));
void	PSTeX_onstone	PROTO((GOGAME *g, int n, int c, PLACE p));
void	PSTeX_pass	PROTO((GOGAME *g, int n ,int c));
void	PSTeX_time	PROTO((GOGAME *g, char *btime, char *wtime));

#undef PROTO

/* #]prototype:		*/ 

#endif
