/* #[info:		*/
/************************************************************************
*									*
*	      |\							*
*	       \\							*
*	      / \\	  _-_,	_-_ ,._-_  _-_	 _-_  \\/\\		*
*	     || ||	 ||_.  ||    ||	  || \\ || \\ || ||		*
*	     || ||	  ~ || ||    ||	  ||/	||/   || ||		*
*	      \\/	 ,-_-  \\,/  \\,  \\,/	\\,/  \\ \\		*
*		   _____						*
*									*
*									*
*		  Copyright (c) 1993  Jan van der Steen			*
*	       Centre for Mathematics and Computer Science		*
*		       Amsterdam, the Netherlands			*
*									*
*-----------------------------------------------------------------------*
*   You are not allowed to use this software in commercial software.	*
*   You are allowed to use this software in free software under the	*
*   condition that you maintain this integral message in the source.	*
*-----------------------------------------------------------------------*
* File	  : d_screen.h							*
* Purpose : Dump a Go data structure onto the screen (using curses)	*
* Version : 1.5								*
* Modified: 8/18/93 15:18:43						*
* Author  : Jan van der Steen (jansteen@cwi.nl)				*
************************************************************************/
/* #]info:		*/ 

#ifndef SCREEN_H
#define SCREEN_H

/* #[include:		*/

#include <curses.h>
#include "gogame.h"

/* #]include:		*/ 
/* #[prototype:		*/

#ifdef __STDC__
#	define	PROTO(s) s
#else
#	define	PROTO(s) ()
#endif

int	screen_init	PROTO((void));
void	screen_exit	PROTO((void));
int	screen_alloc	PROTO((GOGAME *g));
void	screen_free	PROTO((GOGAME *g));
int	screen_emit	PROTO((GOGAME *g, GOMOVE *m1, GOMOVE *m2,
					  GOMOVE *t1, GOMOVE *t2));
void	screen_onmove	PROTO((GOGAME *g, int n1,int c1, int n2,int c2));
void	screen_onstone	PROTO((GOGAME *g, int n, int c, PLACE p));
void	screen_pass	PROTO((GOGAME *g, int n ,int c));
void	screen_time	PROTO((GOGAME *g, char *btime, char *wtime));

#undef PROTO

/* #]prototype:		*/ 

#endif
