/* #[info:		*/
/************************************************************************
*									*
*		       |\	    ,					*
*			\\	   ||	     ,				*
*		       / \\	  =||=	_-_  \\ /`			*
*		      || ||	   ||  || \\  \\			*
*		      || ||	   ||  ||/    /\\			*
*		       \\/	   \\, \\,/  /	\;			*
*			    _____					*
*									*
*									*
*		  Copyright (c) 1993  Jan van der Steen			*
*	       Centre for Mathematics and Computer Science		*
*		       Amsterdam, the Netherlands			*
*									*
*-----------------------------------------------------------------------*
*   You are not allowed to use this software in commercial software.	*
*   You are allowed to use this software in free software under the	*
*   condition that you maintain this integral message in the source.	*
*-----------------------------------------------------------------------*
* File	  : d_tex.h							*
* Purpose : Write a TeX file from the internal Go game structure	*
* Version : 1.5								*
* Modified: 8/18/93 15:18:41						*
* Author  : Jan van der Steen (jansteen@cwi.nl)				*
************************************************************************/
/* #]info:		*/ 

#ifndef D_TEX_H
#define D_TEX_H

/* #[include:		*/

#include "gogame.h"

/* #]include:		*/ 
/* #[prototype:		*/

#ifdef __STDC__
#	define	PROTO(s) s
#else
#	define	PROTO(s) ()
#endif
 
int	TeX_init	PROTO((void));
void	TeX_exit	PROTO((void));
int	TeX_alloc	PROTO((GOGAME *g));
void	TeX_free	PROTO((GOGAME *g));
int	TeX_emit	PROTO((GOGAME *g, GOMOVE *m1, GOMOVE *m2,
					  GOMOVE *t1, GOMOVE *t2));
void	TeX_onmove	PROTO((GOGAME *g, int n1,int c1, int n2,int c2));
void	TeX_onstone	PROTO((GOGAME *g, int n, int c, PLACE p));
void	TeX_pass	PROTO((GOGAME *g, int n, int c));
void	TeX_time	PROTO((GOGAME *g, char *btime, char *wtime));

#undef PROTO

/* #]prototype:		*/ 

#endif
