/* #[info:		*/
/************************************************************************
*									*
*				 /\		  ,			*
*		     _		||		 ||			*
*		    / \\  /'\\ =||=  /'\\ \\/\\ =||=			*
*		   || || || ||	||  || || || ||	 ||			*
*		   || || || ||	||  || || || ||	 ||			*
*		   \\_-| \\,/	\\, \\,/  \\ \\	 \\,			*
*		    /  \						*
*		   '----`						*
*									*
*		  Copyright (c) 1993  Jan van der Steen			*
*	       Centre for Mathematics and Computer Science		*
*		       Amsterdam, the Netherlands			*
*									*
*-----------------------------------------------------------------------*
*   You are not allowed to use this software in commercial software.	*
*   You are allowed to use this software in free software under the	*
*   condition that you maintain this integral message in the source.	*
*-----------------------------------------------------------------------*
* File	  : gofont.h							*
* Purpose : Replace default system font with a Go font			*
* Version : 1.4								*
* Modified: 13 Sep 1994 21:12:22					*
* Author  : Jan van der Steen (jansteen@cwi.nl)				*
************************************************************************/
/* #]info:		*/ 

#ifndef GOFONT_H
#define GOFONT_H

/* #[define:		*/

#define def_black	 0
#define def_blast	 1
#define def_empty	 2
#define def_hoshi	 3
#define def_left	 4
#define def_ll		 5
#define def_lower	 6
#define def_lr		 7
#define def_right	 8
#define def_ul		 9
#define def_upper	10
#define def_ur		11
#define def_white	12
#define def_wlast	13
#define reg_black	14
#define reg_blast	15
#define reg_empty	16
#define reg_hoshi	17
#define reg_left	18
#define reg_ll		19
#define reg_lower	20
#define reg_lr		21
#define reg_right	22
#define reg_ul		23
#define reg_upper	24
#define reg_ur		25
#define reg_white	26
#define reg_wlast	27
#define ter_0terr	28
#define ter_bterr	29
#define ter_wterr	30

#define C_MAX	 	31	/* Number of characters */
#define C_REG		(reg_black-def_black)

#define spc_less	 0
#define spc_more	 1
#define spc_range	 2
#define spc_range_max	 3
#define spc_range_min	 4

/* #]define:		*/ 
/* #[prototype:		*/

#ifdef __STDC__
#	define	PROTO(s) s
#else
#	define	PROTO(s) ()
#endif

void		font_init		PROTO((void));
void		font_exit		PROTO((void));
char *  	font_decode		PROTO((int c));

#undef PROTO

/* #]prototype:		*/ 

#endif
