/* #[info:			*/
/************************************************************************
*									*
*					 ,,				*
*		   _			 ||				*
*		  / \\	/'\\ ,._-_ \\ \\ ||  _-_   _-_,			*
*		 || || || ||  ||   || || || || \\ ||_.			*
*		 || || || ||  ||   || || || ||/	   ~ ||			*
*		 \\_-| \\,/   \\,  \\/\\ \\ \\,/  ,-_-			*
*		  /  \							*
*		 '----`							*
*									*
*		  Copyright (c) 1993  Jan van der Steen			*
*	       Centre for Mathematics and Computer Science		*
*		       Amsterdam, the Netherlands			*
*									*
*-----------------------------------------------------------------------*
*   You are not allowed to use this software in commercial software.	*
*   You are allowed to use this software in free software under the	*
*   condition that you maintain this integral message in the source.	*
*-----------------------------------------------------------------------*
* File	  : gorules.h							*
* Purpose : Implement the Japanese Go Rules				*
* Version : 1.3								*
* Modified: 7/24/93 17:08:39						*
* Author  : Jan van der Steen (jansteen@cwi.nl)				*
************************************************************************/
/* #]info:			*/ 

#ifndef __GORULESH
#define __GORULESH

/* #[include:			*/

#include "gogame.h"

/* #]include:			*/ 
/* #[define:			*/

#define RULES_LEGAL	0
#define RULES_OCCUPIED	1
#define RULES_KO	2
#define RULES_SUICIDE	3
#define RULES_OUTSIDE	4

/* #]define:			*/ 
/* #[prototype: 		*/

#ifdef __STDC__
#	define	PROTO(s) s
#else
#	define	PROTO(s) ()
#endif

int	rules_check	PROTO((GOGAME *gogame, PLACE place, int side));

#undef PROTO

/* #]prototype: 		*/ 

#endif
