/* #[info:		*/
/************************************************************************
*									*
*					   ,, ,,			*
*				       _   || ||			*
*	    \\/\\/\\ '\\/\\ \\/\\/\\  < \, || ||  /'\\	_-_		*
*	    || || ||  || ;' || || ||  /-|| || || || || ||		*
*	    || || ||  ||/   || || || (( || || || || || ||		*
*	    \\ \\ \\  |/    \\ \\ \\  \/\\ \\ \\ \\,/  \\,/		*
*		     (							*
*		      -_-						*
*									*
*		  Copyright (c) 1993  Jan van der Steen			*
*	       Centre for Mathematics and Computer Science		*
*		       Amsterdam, the Netherlands			*
*									*
*-----------------------------------------------------------------------*
*   You are not allowed to use this software in commercial software.	*
*   You are allowed to use this software in free software under the	*
*   condition that you maintain this integral message in the source.	*
*-----------------------------------------------------------------------*
* File	  : mymalloc.c							*
* Purpose : Extra layer between program and system malloc		*
* Version : 1.3								*
* Modified: 7/24/93 17:08:41						*
* Author  : Jan van der Steen (jansteen@cwi.nl)				*
************************************************************************/
/* #]info:		*/ 
/* #[include:		*/

#include <stdlib.h>
#include <tos.h>
#include "mymalloc.h"

/* #]include:		*/ 
/* #[static:		*/

#ifdef SPEAK

static long	size = 0;
static char *	pool = (void *) 0;
static char *	mp   = (void *) 0;

#endif

/* #]static:		*/ 

/* #[initmalloc:	*/

int
initmalloc(n)
long n;
{
#ifdef SPEAK
    size = n;
    pool = mp = (char *) Malloc(n);
    if (pool == (char *) 0) return 0;

    while (--n) *mp++ = 0; mp = pool;
#endif
    return 1;
}

/* #]initmalloc:	*/ 
/* #[mymalloc:		*/

void *
mymalloc(n)
long n;
{
#ifdef SPEAK
    char *p = mp;

    if (pool == (char *) 0) return (void *) 0;
    if (n & 0x01) n++;
    mp += n;
    if (mp - pool >= size) return (void *) 0;

    return (void *) p;
#else
    return malloc(n);
#endif
}

/* #]mymalloc:		*/ 
/* #[myfree:		*/

void
myfree(p)
void *p;
{
#ifndef SPEAK
    free(p);
#endif
}

/* #]myfree:		*/ 

