/* #[info:		*/
/************************************************************************
*									*
*			 ,		,,				*
*			||		||				*
*		       =||=  /'\\  /'\\ ||  _-_,			*
*			||  || || || || || ||_.				*
*			||  || || || || ||  ~ ||			*
*			\\, \\,/  \\,/	\\ ,-_-				*
*									*
*									*
*									*
*		  Copyright (c) 1993  Jan van der Steen			*
*	       Centre for Mathematics and Computer Science		*
*		       Amsterdam, the Netherlands			*
*									*
*-----------------------------------------------------------------------*
*   You are not allowed to use this software in commercial software.	*
*   You are allowed to use this software in free software under the	*
*   condition that you maintain this integral message in the source.	*
*-----------------------------------------------------------------------*
* File	  : tools.h							*
* Purpose : Various programming tools					*
* Version : 1.8								*
* Modified: 7/24/93 17:08:58						*
* Author  : Jan van der Steen (jansteen@cwi.nl)				*
************************************************************************/
/* #]info:		*/ 

#ifndef __TOOLSH
#define __TOOLSH

/* #[include:           */

#include "gogame.h"

/* #]include:           */ 
/* #[prototype:         */

#ifdef __STDC__
#       define  PROTO(s) s
#else
#       define  PROTO(s) ()
#endif

/*
 * tools.c
 */
char *		string_alloc	PROTO((char *s));
char *		string_store	PROTO((char *s));
void		message		PROTO((char *s, ...));

/*
 * options.c
 */
void            getoptions      PROTO((int argc, char **argv));

/*
 * statists.c
 */
void            kib_list        PROTO((int sortmode, char *label));
void            kib_add         PROTO((TEXT *text));
long		str2rank	PROTO((char *s));
char *		rank2str	PROTO((long rank));

#undef PROTO

/* #]prototype:         */ 

#endif
