/* #[info:		*/
/************************************************************************
*									*
*				      /\	       ,		*
*			    ' ,	     ||		      ||		*
*	       \\ \\ \\/\\ \\ \\ /` =||=  /'\\ \\/\\ =||=		*
*	       || || || || ||  \\    ||	 || || || ||  ||		*
*	       || || || || ||  /\\   ||	 || || || ||  ||		*
*	       \\/\\ \\ \\ \\ /	 \;  \\, \\,/  \\ \\  \\,		*
*									*
*									*
*									*
*		  Copyright (c) 1993  Jan van der Steen			*
*	       Centre for Mathematics and Computer Science		*
*		       Amsterdam, the Netherlands			*
*									*
*-----------------------------------------------------------------------*
*   You are not allowed to use this software in commercial software.	*
*   You are allowed to use this software in free software under the	*
*   condition that you maintain this integral message in the source.	*
*-----------------------------------------------------------------------*
* File	  : unixfont.c							*
* Purpose : Replace system font with a specially designed Go font	*
* Version : 1.5								*
* Modified: 13 Sep 1994 21:12:23					*
* Author  : Jan van der Steen (jansteen@cwi.nl)				*
************************************************************************/
/* #]info:		*/ 
/* #[include:		*/

#include <stdlib.h>
#include "gofont.h"

/* #]include:		*/ 
/* #[static:		*/

static	char *	bb[C_MAX];

/* #]static:		*/ 

/* #[font_init:		*/

void
font_init()
{
    char *term = getenv("TERM");

    if (!term || strcmp(term, "xterm")) {
	bb[def_black]	= "@ ";
	bb[def_blast]	= "@ ";
	bb[def_empty]	= ". ";
	bb[def_hoshi]	= ". ";
	bb[def_left]	= ". ";
	bb[def_ll]	= ". ";
	bb[def_lower]	= ". ";
	bb[def_lr]	= ". ";
	bb[def_right]	= ". ";
	bb[def_ul]	= ". ";
	bb[def_upper]	= ". ";
	bb[def_ur]	= ". ";
	bb[def_white]	= "O ";
	bb[def_wlast]	= "O ";
	bb[reg_black]	= "@ ";
	bb[reg_blast]	= "@ ";
	bb[reg_empty]	= ". ";
	bb[reg_hoshi]	= ". ";
	bb[reg_left]	= ". ";
	bb[reg_ll]	= ". ";
	bb[reg_lower]	= ". ";
	bb[reg_lr]	= ". ";
	bb[reg_right]	= ". ";
	bb[reg_ul]	= ". ";
	bb[reg_upper]	= ". ";
	bb[reg_ur]	= ". ";
	bb[reg_white]	= "O ";
	bb[reg_wlast]	= "O ";
	bb[ter_0terr]	= "= ";
	bb[ter_bterr]	= "+ ";
	bb[ter_wterr]	= "- ";
    } else {
	bb[def_black]	= "\xc0\xc1";
	bb[def_blast]	= "\xc2\xc3";
	bb[def_empty]	= "\xc4\xc5";
	bb[def_hoshi]	= "\xc6\xc7";
	bb[def_left]	= "\xc8\xc5";
	bb[def_ll]	= "\xc9\xca";
	bb[def_lower]	= "\xcb\xca";
	bb[def_lr]	= "\xcb\xcc";
	bb[def_right]	= "\xc4\xcd";
	bb[def_ul]	= "\xce\xcf";
	bb[def_upper]	= "\xd0\xcf";
	bb[def_ur]	= "\xd0\xd1";
	bb[def_white]	= "\xd2\xd3";
	bb[def_wlast]	= "\xd4\xd5";
	bb[reg_black]	= "\xd6\xd7";
	bb[reg_blast]	= "\xd8\xd9";
	bb[reg_empty]	= "\xda\xdb";
	bb[reg_hoshi]	= "\xdc\xdd";
	bb[reg_left]	= "\xc8\xdb";
	bb[reg_ll]	= "\xc9\xde";
	bb[reg_lower]	= "\xdf\xde";
	bb[reg_lr]	= "\xdf\xcc";
	bb[reg_right]	= "\xda\xcd";
	bb[reg_ul]	= "\xce\xe0";
	bb[reg_upper]	= "\xe1\xe0";
	bb[reg_ur]	= "\xe1\xd1";
	bb[reg_white]	= "\xe2\xe3";
	bb[reg_wlast]	= "\xe4\xe5";
	bb[ter_0terr]	= "\xe6\xe6";
	bb[ter_bterr]	= "\xe7\xe7";
	bb[ter_wterr]	= "\xe8\xe8";
    }
}

/* #]font_init:		*/ 
/* #[font_exit:		*/

void
font_exit()
{
    return;
}

/* #]font_exit:		*/ 
/* #[font_decode:	*/

char *
font_decode(c)
int c;
{
    return ((0 <= c || c < C_MAX) ? bb[(int)(c & 0xff)]
				  : "??");
}

/* #]font_decode:	*/ 

